<link rel="stylesheet" href="css/new_mxerp.css">


<?php extract($_POST);
$PageSecurity = 1;
$tabindex=0;
include('includes/DefinePaymentClass.php');
$title = _('Daily Production Report');
include('includes/SQL_CommonFunctions.inc');
?>

<div class="body_contain">
<div class="tab_div">

<h1><?php echo $title;?></h1>

<table width="100%" border="0" cellspacing="0" cellpadding="0">

   <tr>
		<td><div align="center">
			<form  action="" method="post">
			   <table width="100%" border="1" cellpadding="3" cellspacing="0" style="border-collapse:collapse; border:#666666 solid 1px;">
			  <tr>
			<td class="tabledata" style="width:146px;">Order No. Wise</td>
			    <td style="width:250px;"><select name="orderno"
			    onchange="getdata(this.value)"
			    style="width:100%;">
	<option value="000">Select</option>
	<?php 
	$name_sql=DB_query("Select  orderNo,id from salesorder",$db);
	while($name_row=DB_fetch_array($name_sql)) {
	?>
	<option value="<?php echo $name_row['id'];?>"><?php echo $name_row['orderNo'];?></option>
	<?php } ?>
    </select>	</td>
    <td class="tabledata" style="width:146px;">Job Card No</td>
				<td id="hotfoil"
				 style="width:250px;"><select name="jobcard"
				 id="jobcard" style="width:100%">
				     <option value="0">Select</option>
				</select></td>
			  </tr>	 
		  </table>
		  <p align="left" style="padding-left:10px;"><input type="Submit" name="Proceed" value="Proceed" /></p>
		  </form>
	  </div></td>
	</tr>    

	
	</table>	
<table width="100%" border="1" cellpadding="3" cellspacing="0" style="border-collapse:collapse; border:#666666 solid 1px;">
              <tr>
               <td class="tabledata"><strong>DailyEntry Slip_No</strong></td>
               <td class="tabledata"><strong>JC No </strong></td>
               <!--<td class="tabledata"><strong>W/O No</strong> </td>-->
               <td class="tabledata"><strong>Item Name </strong></td>
                <td class="tabledata"><strong>Prod. date</strong></td>
                <td class="tabledata"><strong>Process Name</strong></td>
               <td class="tabledata"><strong>Machine Center</strong></td>
               <td class="tabledata"><strong>Production Quantity</strong></td>
                <td class="tabledata"><strong>Rejection Quantity</strong></td>
               <td class="tabledata"><strong>Actual Quantity</strong></td>
              </tr>
    	  <?php 
    	 if(isset($_POST['Proceed']))
		 {		  	
    	$filter=array();		
		if($_REQUEST['jobcard']!='0')
		$filter[]="job_card_id='".$_REQUEST['jobcard']."'";
		if($filter!='')
		{
			if($_REQUEST['jobcard']!='0'){$filter2=implode(" and ",$filter)." group by job_card_id";}
			else
			$filter2=implode(" and ",$filter);
		}			
				
		if($_REQUEST['jobcard']!='0')
		{
		 $sql="Select * from daily_production_process  where $filter2 ";	
	 		}
		else{
		  $sql="Select * from daily_production_process where CompanyId='".$_SESSION['ACGCompanyId']."'"; }
                 // echo $sql;
		$result=DB_query($sql,$db);
		$i=1;
		 $mmm=DB_num_rows($result);
		if(DB_num_rows($result)>0)
		{
		$i=0;				
		while($myrow=DB_fetch_array($result))
			{
					
          ?>
	  <tr bgcolor="#c1c1c1">
    	    <td ><?php echo $myrow['entry_slip_no'];?></td>
    	    <td ><?php echo $jobcard=$s->getField('job_card','id',$myrow['job_card_id'],'job_card_no');	 ?></td>
	 	  <!--<td><?php $jobcard=$s->getField('job_route_card','id',$myrow['job_card_id'],'sop_no'); echo  $sop_name=$s->getField('salesorder','id',$jobcard,'orderNo');?></td>-->
    	    <td><?php echo $myrow['item'];?></td>
            <td><?php echo ConvertSQLDate($myrow['process_prod_date']);?></td>
    	 <td><?php  echo  $process=$s->getField('production_process_master','id',$myrow['process_name'],'manuf_process_name'); ?> </td>
    	       <td><?php  echo  $machine=$s->getField('machine_center','id',$myrow['machine_center'],'code'); ?> </td>
    	         <td><?php echo $myrow['actual_prod_qty'];?></td>
    	         <td><?php echo $myrow['rejection_allow'];?></td>
    	        <td><?php echo $myrow['production_qty'];?></td>
    	    	       </tr>
    	  
  	  <?php $i++; }  }else
		{?>
		<tr bgcolor="#c1c1c1">

		   <td colspan="9"><font color="#FF0000">No Record Found</font></td></tr>
		<?php 	
		}
		}
	?></table>

</div></div>


     
<?php
//include('includes/footer.inc');
?>
<script language="JavaScript">
function getdata(data)
{
if (data.length==0)
  {
  document.getElementById("hotfoil").innerHTML="";
 
  return;
  }
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("hotfoil").innerHTML=xmlhttp.responseText;
      }
  }
 
xmlhttp.open("GET","get_entryslip_jobcard.php?data="+data,true);
xmlhttp.send();	
	
	
}	
	
	
	
</script>